## org.red5.compatibility.flex.messaging.messages
Class AsyncMessage

    java.lang.Object
      org.red5.compatibility.flex.messaging.messages.AbstractMessage
          org.red5.compatibility.flex.messaging.messages.AsyncMessage

All Implemented Interfaces:
  Serializable, Message

Direct Known Subclasses:
  AcknowledgeMessage, AsyncMessageExt, CommandMessage, DataMessage, ErrorMessage, RemotingMessage, SequencedMessage

    public class AsyncMessage

extends AbstractMessage

Base class for for asynchronous Flex compatibility messages.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de), Paul Gregoire (mondain@gmail.com)
See Also:
  Serialized Form

Field Summary
`protected static byte` `CORRELATION_ID_BYTES_FLAG`
`protected static byte` `CORRELATION_ID_FLAG`
`String` `correlationId` Id of message this message belongs to.
`protected byte[]` `correlationIdBytes`

Fields inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage
`body, clientId, clientIdBytes, destination, headers, messageId, messageIdBytes, timestamp, timeToLive`

Fields inherited from interface org.red5.compatibility.flex.messaging.messages.Message
`DESTINATION_CLIENT_ID_HEADER, ENDPOINT_HEADER, FLEX_CLIENT_ID_HEADER, MESSAGING_VERSION, NEEDS_CONFIG_HEADER, POLL_WAIT_HEADER, PRESERVE_DURABLE_HEADER, REMOTE_CREDENTIALS_HEADER, REMOVE_SUBSCRIPTIONS, SELECTOR_HEADER, SUBSCRIPTION_INVALIDATED_HEADER, SUBTOPIC_SEPARATOR, SYNC_HEADER`

Constructor Summary
`AsyncMessage()`

Method Summary
`protected void` `addParameters(StringBuilder result)` Add message properties to string.
`String` `getCorrelationId()`
`void` `readExternal(IDataInput in)`
`void` `setCorrelationId(String id)`
`void` `writeExternal(IDataOutput output)`

Methods inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage
`getBody, getClientId, getDestination, getHeader, getHeaders, getMessageId, getTimestamp, getTimeToLive, headerExists, readFlags, setBody, setClientId, setDestination, setHeader, setHeaders, setMessageId, setTimestamp, setTimeToLive, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CORRELATION_ID_FLAG

    protected static byte CORRELATION_ID_FLAG

### CORRELATION_ID_BYTES_FLAG

    protected static byte CORRELATION_ID_BYTES_FLAG

### correlationId

    public String correlationId

  Id of message this message belongs to.

### correlationIdBytes

    protected byte[] correlationIdBytes

Constructor Detail

### AsyncMessage

    public AsyncMessage()

Method Detail

### addParameters

    protected void addParameters(StringBuilder result)

  Add message properties to string.

  Overrides:
    `addParameters` in class `AbstractMessage`
  Parameters:
    `result` - `StringBuilder` to add properties to

### setCorrelationId

    public void setCorrelationId(String id)

### getCorrelationId

    public String getCorrelationId()

### readExternal

    public void readExternal(IDataInput in)

  Overrides:
    `readExternal` in class `AbstractMessage`

### writeExternal

    public void writeExternal(IDataOutput output)

  Overrides:
    `writeExternal` in class `AbstractMessage`

Copyright © 2006-2010 The Red5 Project